Package org.eclipse.net4j.db.ddl

# Interface IDBNamedElement

All Superinterfaces:
  `IDBElement`, `org.eclipse.net4j.util.event.INotifier`

All Known Subinterfaces:
  `IDBDelta`, `IDBDeltaWithPosition`, `IDBDeltaWithProperties`, `IDBField`, `IDBFieldDelta`, `IDBIndex`, `IDBIndexDelta`, `IDBIndexField`, `IDBIndexFieldDelta`, `IDBPropertyDelta<T>`, `IDBSchema`, `IDBSchemaDelta`, `IDBSchemaElement`, `IDBTable`, `IDBTableDelta`, `InternalDBField`, `InternalDBIndex`, `InternalDBIndexField`, `InternalDBNamedElement`, `InternalDBSchema`, `InternalDBSchemaElement`, `InternalDBTable`

All Known Implementing Classes:
  `org.eclipse.net4j.internal.db.ddl.DBNamedElement`, `org.eclipse.net4j.internal.db.ddl.DBSchema`, `DBSchema`, `org.eclipse.net4j.internal.db.ddl.DBSchemaElement`

public interface IDBNamedElement extends IDBElement

Since:
  4.2
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`

### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBElement

`getParent, getProperties`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

## Method Details

### getName

String getName()